Update VMTemplate
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
idstring
name?string
distro?string
- DISTRO_UBUNTU_22_04: Ubuntu distributions
- DISTRO_FEDORA_43: Fedora distributions
- DISTRO_DEBIAN_12: Debian distributions
- DISTRO_CENTOS_9: CentOS distributions
- DISTRO_ROCKY_9: Rocky Linux distributions
- DISTRO_ALMALINUX_9: AlmaLinux distributions
Default
"DISTRO_UNSPECIFIED"Value in
"DISTRO_UNSPECIFIED" | "DISTRO_UBUNTU_22_04" | "DISTRO_UBUNTU_24_04" | "DISTRO_UBUNTU_26_04" | "DISTRO_FEDORA_43" | "DISTRO_FEDORA_44" | "DISTRO_DEBIAN_12" | "DISTRO_DEBIAN_13" | "DISTRO_CENTOS_9" | "DISTRO_CENTOS_10" | "DISTRO_ROCKY_9" | "DISTRO_ROCKY_10" | "DISTRO_ALMALINUX_9" | "DISTRO_ALMALINUX_10"templateId?integer
Format
int32nodeId?string
cloudInitTemplateId?string
proxmoxCpuType?string
Proxmox cpu= guest CPU model. Empty = leave unchanged on update.
Response Body
application/json
curl -X PATCH "https://api.nrings.io/v1/vmtemplate/{id}" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "distro": "DISTRO_UNSPECIFIED", "templateId": 0, "nodeId": "string", "cloudInitTemplateId": "string", "proxmoxCpuType": "string"}'{
"vmTemplate": {
"id": "string",
"name": "string",
"distro": "DISTRO_UNSPECIFIED",
"templateId": 0,
"nodeId": "string",
"cloudInitTemplateId": "string",
"nodeName": "string",
"cloudInitTemplateName": "string",
"platformName": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
},
"proxmoxCpuType": "string"
}
}List VMTemplates GET
Previous Page
Handle Webhook POST
Handle webhook events from payment providers (Stripe, PayPal, etc.) This endpoint receives webhook payloads and processes payment/subscription events Note: The actual implementation will read raw HTTP body and headers directly to support webhook signature verification